import request from '@/utils/request'
import { BASE } from './apiGateway'

/**
 * 获取微信签名
 * @param {pageUrl: "", wxId: ""} params 
 */
export function getSign(params) {
    return request({
        url: `${BASE}/open/noLogin/getSign`,
        method: "post",
        noMesg: true,
        params: params
    });
}

export function getOpenidByCode(data) {
    return request({
		url: `${BASE}/cloudCare/noLogin/patient/getOpenidByCode`,
        method: "get",
        params: data
	});
}

export function getWxWechatConfig(data) {
    return request({
		url: `${BASE}/patient/wxBase/getWxWechatConfig`,
        method: "get",
        params: data
	});
}
